Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06176 Crash/Freeze Critical (emulation) Have not tried Apr 8, 2016, 18:22 Apr 13, 2016, 22:57
Tester Tafoid View Status Public Platform MAME (Official Binary)
Assigned To crazyc Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver ksys573.cpp
Version 0.172 Fixed in Version 0.173 Build Normal
Summary 06176: All sets in ksys573.c using CD: Unable to boot
Description All sets in driver no longer work when attempting to test the CD hardware about 2 seconds into emulation you get a BAD showing as well as a flashing message stating "HARDWARE ERROR...RESET"
Steps To Reproduce
Additional Information Breakage linked to changes on March 12, 2016:
https://github.com/mamedev/mame/commit/83fcc18fc59b76138f071a8784cd43c90a3629d1

* atapicdr: basic disk change support
Flags
Regression Version 0.172
Affected Sets / Systems All sets in ksys573.c using CD
Attached Files
png file icon ksys573_error.png (2,363 bytes) Apr 8, 2016, 18:22 Uploaded by Tafoid
ksys573 error example
Tafoid
Relationships
There are no relationsihp linked to this issue.
Notes
1
User avatar
No.12517
Osso
Developer
Apr 9, 2016, 09:16
edited on: Jul 28, 2016, 22:32
the process_buffer override or its interaction with the code in ksys573.cpp is the problem.